Bug 1277408 - Review Request: rubygem-hocon - HOCON Config Library
Review Request: rubygem-hocon - HOCON Config Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 04:28 EST by Steve Traylen
Modified: 2016-01-14 08:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:55:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2015-11-03 04:28:05 EST
Spec URL: http://cern.ch/straylen/rpms/rubygem-hocon/rubygem-hocon.spec
SRPM URL: http://cern.ch/straylen/rpms/rubygem-hocon/rubygem-hocon-0.9.3-1.fc22.src.rpm
Description:
A port of the Java Typesafe Config library to Ruby.
https://github.com/typesafehub/config
Fedora Account System Username: stevetraylen
Comment 1 Mamoru TASAKA 2015-11-23 00:44:31 EST
Taking this one.

I would appreciate it if you would review my review request (bug 1279755), rather simple package.
Comment 2 Upstream Release Monitoring 2015-11-26 04:16:49 EST
mtasaka's scratch build of rubygem-hocon-0.9.3-1.fc22.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11983851
Comment 3 Mamoru TASAKA 2015-11-26 04:24:27 EST
Okay, almost nothing to say for this srpm, however

* Running test suite
  - As written on
    https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Running_test_suites
    we recommend to execute some test suite on %check , even if
    test files are not included in gem file but in git repository,
    https://github.com/puppetlabs/ruby-hocon/tree/master/spec

    Please consider to package files under spec/ and execute test
    suite by
    $ rspec spec/
Comment 4 Steve Traylen 2015-12-03 05:26:19 EST
Thanks for the comments.

New packages include the upstream spec tests and I requested that
they be included in the gem for the future.

Spec URL: http://cern.ch/straylen/rpms/rubygem-hocon/rubygem-hocon.spec
SRPM URL: http://cern.ch/straylen/rpms/rubygem-hocon/rubygem-hocon-0.9.3-2.fc22.src.rpm
Comment 5 Upstream Release Monitoring 2015-12-06 02:06:56 EST
mtasaka's scratch build of rubygem-hocon-0.9.3-2.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12080106
Comment 6 Mamoru TASAKA 2015-12-06 02:44:36 EST
Okay.

* I recommend to remove %{?fc21} because F-21 is already EOL,
  however this is not a blocker.

-------------------------------------------
   This package (rubygem-hocon) is 
   APPROVED by mtasaka
-------------------------------------------
Comment 7 Mamoru TASAKA 2015-12-13 01:59:50 EST
ping?
Comment 8 Steve Traylen 2015-12-14 03:29:22 EST
pkgdb request made.
Comment 9 Gwyn Ciesla 2015-12-14 09:11:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-hocon
Comment 10 Fedora Update System 2015-12-14 13:34:19 EST
rubygem-hocon-0.9.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0af9f412a1
Comment 11 Fedora Update System 2015-12-15 02:20:00 EST
rubygem-hocon-0.9.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update rubygem-hocon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6e2f1e714d
Comment 12 Fedora Update System 2015-12-15 05:52:42 EST
rubygem-hocon-0.9.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rubygem-hocon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0af9f412a1
Comment 13 Fedora Update System 2016-01-14 03:55:19 EST
rubygem-hocon-0.9.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-14 08:27:55 EST
rubygem-hocon-0.9.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.